ATM device testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a USB-based device, you must run the USB-specific tests. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The asynchronous transfer mode (ATM) devices test kit includes the following manual and automated tests. The manual tests require user intervention and must be run individually and should be completed before automated tests are run:

Click to show or hide information. Manual tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • NDIS
  • Public Import
  • Signability
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Enumeration Stress
  • USB Manual Interoperability - Device
  • USB Selective Suspend
  • USB Serial Number

Click to show or hide information. Automated tests

  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF
  • Driver Verifier - NDIS
  • Enable/Disable - Device I/O (Network)
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  • PCI 2.2 Compliance
  • PCI Latency - NDIS
  • S3 Compliance
  • Surprise Removal
  • USB HIDView - HID Specification Compliance
  • USB Isochronous Alternate Interface Presence

Test suite run time: 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Asynchronous Transfer Mode (ATM) Devices HCT kit. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • Three identical ATM test devices
  • One ATM switch
  • One Ethernet hub or switch
  • Two Ethernet devices (for message card operation)
  • One PCI bridge

A PCI bridge is required only if the client system does not have a PCI bridge on the motherboard.

  • Network adapter cables for each supported media
  • FoxFire II PCI adapterinstalled on the client (required when testing PCI devices only)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For server system

One Intel Pentium, or equivalent, single processor test system with the following:

  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For client system

One test system with the following:

  • Dual Intel Pentium II, or equivalent, minimum 450 MHz microprocessors
  • Minimum 256 MB of RAM.

Note: For testing large memory enabled (LME) and physical address extension (PAE) devices, the client test system requires more than 4 GB RAM. A typical testing configuration is 5 GB of system memory.

  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For mini PCI, PC Card, and CardBus adapters

Two laptop test systems with the following:

  • Single Intel Pentium II, or equivalent, minimum 450 MHz microprocessor
  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive

Click to show or hide information. Software requirements

The following software is required to run the ATM Devices HCT kit:

  • Vendor-provided NDIS 5.0 drivers and other required files for installing the test adapter
  • Windows XP Professional operating system
  • Any required drivers that do not ship with Windows XP
  • The current release of the Windows XP HCT 10.0
  • ATM required support software

Click to show or hide information. Tester knowledge requirements

To run the ATM tests, testers must know how to do the following tasks:

  • Bind and switch TCP/IP and UDP protocols for network devices.
  • Establish an Ethernet back channel between client and server systems.
  • Create Network Share folders in Windows XP.
  • Set up an ATM server system.
  • Set up a Remote Access Server (RAS) and LAN connection between an ATM server system and a client system.
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for ATM devices testing

Before running asynchronous transfer mode (ATM) tests, you must configure the system and install the Windows XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the ATM devices testing overview.

Test system configuration

A two-system configuration is required to test ATM devices: a client system with the test device and a support device (separated by a PCI bridge) installed, and a server system with a support device installed.

The HCT kit requires the following system configuration tasks to prepare the server and client systems for testing.

To configure the server system for ATM devices testing

  1. Install one ATM test device into the server system.
  2. Install one Ethernet device into the server system for message card operation.

Use any logo'd Windows operating system-supported network adapter.

  3. Connect the server ATM device to the ATM switch.
  4. Connect the message card to a separate network.

Use the same network used in the client system configuration for the message card device.

  5. Install the HCT for Windows XP on the server system.

To configure the client system for ATM devices testing

  1. Install two ATM test devices into the client system.

WHQL refers to the two ATM test devices as the test device and the support device. Install the second (support) ATM device across a PCI bridge.

  2. Install one Ethernet device into the client system as a message card.

Use any logo'd Windows operating system-supported network adapter as the message card.

  3. Connect both test devices to the ATM switch.
  4. Connect the Ethernet message card to a separate network.

Use the same network used in the server system configuration for the message card device.

Note: The message card installation is required when running the NDIS test for network devices. Select a message card on both the client and server systems to run the NDIS 2-system test. If no message card is selected for both systems, the 2-system test will not run. This can result in an incomplete test log file.

WHQL does not require an isolated network for the Ethernet Back Channel; however, a private network reduces the chance that other network traffic will affect the test results.

  5. Install FoxFire II PCI adapter on the client system (required when testing PCI devices only).
  6. Install the HCT for Windows XP on the client system.

Related links


Driver Verifier - NDIS

This test examines only unsigned drivers that are designed for Windows® XP. It stresses device/driver combinations and tests the device's use of system resources, including the driver's memory paging behavior.

Important: Successful completion of this test may require an increase in system memory to a minimum of 256 MB of RAM.

The Driver Verifier test examines device/driver combinations using the following verification types:

  • Special Pool
  • Force IRQL Checking
  • Pool Tracking
  • Low Resource Stimulation (Fault Injection)
  • I/O Verification
  • Enhanced I/O Verification
  • Deadlock Detection
  • DMA Checking

For more information on Driver Verifier and the Driver Verifier verification types, see the latest version of the Windows 2000 DDK, section 5.1 "Driver Verifier:"

Run time: Approximately 4-5 hours

Log file name: Shrtver.log

Operating system: Windows XP Professional

Test assertion: Chapter 22

Additional configuration requirements

This test requires two systems: the test (client) system and a server system. You must configure both the server and client systems before starting the test.

To create a network shared folder on the server system

Important: The Network Setup wizard configures a system to share folders on a network. See Network Setup wizard for configuration instructions.

  1. From the desktop of the server system, click Start, click My Computer, then double click the drive on which you wish to create a shared folder (for example, C:).
  2. Select an existing folder or create a new folder that you wish to share.

The default folder name is Share. To facilitate setup for tests that require a shared folder on the server system, select this name for the shared folder.

  3. Select the Share this folder on the network option, and verify that the Allow network users to change my files option is also selected.
  4. Click Apply, and then click OK.
  5. Close all windows.

To configure the client system

Important: The checked version of NDIS.sys must be present on the test system prior to starting the Driver Verifier - NDIS test.

  1. Copy the checked build version of NDIS.sys to a folder on the test system (for example, c:\temp).

Note: The checked build of Windows XP will be provided as part of the MSDN Professional Subscription. Please view thee Microsoft Developer Network (MSDN) for more information.

  2. Complete the NDIS test prior to beginning the Driver Verifier - NDIS test.

Important: Configuration information set for NDIS test is required for successful completion of Driver Verifier - NDIS.

Related links


Enable/Disable - Device I/O (Network) test

This test makes an inventory of all adapters in the test system and all devices attached to each controller (for example, all SCSI drives connected to a SCSI controller would be included in this inventory). The test disables, and then enables, the input and output (I/O) from the devices attached to each controller.

Run time: Approximately 30 minutes

Log file name: Nftest.log

Operating system: Windows® XP Professional

Windows logo requirement: WL - 6: A1.1.3, "All components correctly implement Plug and Play"

Additional configuration requirement

This test requires two systems: the test (client) system and a server system. You must create a network shared folder on the server system before starting the test.

To create a network shared folder on the server system

Important: The Network Setup wizard configures a system to share folders on a network. See Network Setup wizard for configuration instructions.

  1. From the desktop of the server system, click Start, click My Computer, then double click the drive on which you wish to create a shared folder (for example, C:).
  2. Select an existing folder or create a new folder that you wish to share.

The default folder name is Share. To facilitate setup for tests that require a shared folder on the server system, select this name for the shared folder.

  3. Select the Share this folder on the network option, and verify that the Allow network users to change my files option is also selected.
  4. Click Apply, and then click OK.
  5. Close all windows.

Related links


NDIS testing overview

The NDIS test, although functionally expressed as a single test in Test Manager, contains individual tests invoked through a separate test shell (NDISTEST), which test three primary areas:

  • NDIS functional testing
  • NDIS performance testing
  • NDIS stress testing

The typical configuration for NDIS testing requires two systems, the test system (referred to as the client) and a server system.

The client system is configured with three network devices: the test network device (Test device (1) in figure below), a second network device referred to as the support device (Test (support) device (2) in figure below), and a third network device that is usually an Ethernet message card for back channel communication (Ethernet card (1) in figure below). The test device (test device 1) and the support device (Test (support) device (2)) must be configured over a PCI bridge. However, client test configurations for cable modem, CardBus, DSL, IrDA, mini-PCI, PC Card, RF (wireless), and System Area Network devices require only two devices, the test device and an Ethernet message card (shown below as Test (support) device (3).

The server system is configured with two network devices: a support device (Test (support) device (3) and an Ethernet message card (Ethernet card (2) for back channel communication.

A typical configuration involves a private test channel through which the client test device and the server support device communicate. Below is a diagram of a typical configuration for LAN testing.

The test setup involves two network segments: the test channel (through which the client test device and the server support device communicate) and the back channel (through which messages are passed between the Ethernet cards in the client and server, respectively). In order to reduce the possibility of test failure (other network traffic could affect the transmission of data over the test channel), connect the test channel over a private switched subnet.

When server system starts, it waits for a server request packet from the client system. If the server receives a request packet, it registers itself with the client and waits for commands. The client system sends commands and records responses.

After NDIS testing is complete, the client system directs the server system to quit the test, and then the server system quits the test. All of the script files used for NDIS testing are executed on the client system. The client system records all test logs. The server system does not record log files.

To verify that the driver operates correctly, use any of the operating system-supported devices as the support devices for the client and server systems.

Run time: TBD

Log file name: Whql.log

Operating system: Windows XP Professional

Test assertion: Chapter 23

Related links

Running the NDIS tests


NDIS functional testing

NDIS functional testing verifies that all requests to the network adapter driver, along with all indications and completions called from within the driver, function as specified by NDIS 5.0 and NDIS 5.1. The functional tests are the most important part of the NDIS test. If an adapter or driver does not pass functional tests, it will not pass the conformance tests.

Functional testing includes the following actions:

  • Verifies the ability to repeatedly open and close connections to the adapter
  • Queries and sets supported adapter characteristics through Object Identifiers (OIDs)
  • Sets packet filters
  • Performs send/receive tests
  • Executes several variations of the send/receive operation to verify that the device and driver receive all of the packets that they should, and none of the packets that they should not
  • Complies with the NDIS miniport for NDIS specification
  • Verifies proper version stamps
  • Verifies copyright information
  • Verifies driver is free of operating system specific kernel (NTOSKRNL) calls

Note: For the device to be compatible with the Microsoft Network Monitor, it must pass the Promiscuous-Mode Receive tests.

Related links

Running the NDIS tests


NDIS performance testing

Performance testing identifies bottlenecks in the driver. These tests detect a need to speed up data transfers or reduce processor usage. Use this information to compare the driver performance with other drivers for similar cards, and to calculate target performance levels.

For performance testing, the client system controls the test type. The server, if involved at all, only responds to commands from the client.

The following are the different types of performance tests:

  • Send tests

These tests attempt to send data out through the network device as quickly as possible. Many 10 Base-T Ethernet cards can achieve close to 100% of the theoretical maximum throughput, which is 10 Mbits/sec (or 1250 KB/sec).

Use performance testing to check the driver’s processor usage. High processor usage could indicate inefficiencies in the test device driver.

  • Receive tests

These tests examine the receive capabilities of the device and driver. Testing methods include both copying received data and detecting the receive indications. This test uses various receive filters.

  • Send-ack tests and Req-receive tests

These tests examine limited two-way communication between client and server.

In the Send-ack test, the client system repeatedly sends packets in groups of five. After the test device sends each packet, the client system waits for an acknowledgment from the server system.

In the Req-receive test, the client system repeatedly sends a request to the server system and receives five packets in response.

These tests should display very low processor usage.

  • Send/Receive test

This test simultaneously sends and receives large amounts of data. It verifies that the test device does not shut down the send or receive operations. It also verifies that the send rates from both the client and server sides are approximately equal for large packet sizes, and that few packets are lost.

Related links

Running the NDIS tests


NDIS stress testing

Stress testing creates a significant amount of network traffic by sending and receiving packets of various sizes, types, and content.

Stress testing places the system with the test device in one of three modes:

  • Client mode

If the system is started as a client, it is responsible for controlling the test and sending test packets. At the same time, the client system keeps track of the number and type of packets sent to each of the servers participating in the test.

Once initialized, the client broadcasts to all server systems in the test. Systems operating in server mode respond to the client system, register with the client, reset statistics counters, and indicate readiness to process test packets from the client.

After the registration phase, testing begins and the client system sends packets to all registered servers. The client continuously sends packets to each server in turn. This continues for either a given number of iterations or a given number of packets. After the tests complete, the client queries each server for its test statistics, displays them on the screen, and logs them to a file. Finally, it sends a packet to each server and requests it to quit the test.

  • Server mode

The server system receives packets and provides the appropriate response. Depending on the command in a packet, a server responds by either sending the packet back to the client system or by discarding it. In either case, the server sets its counter to track the number of received packets, the number of packets it responded to, and any errors that occurred in the test.

  • Both client and server mode

The test computer can also run as both a client system and a server system. This means it can send packets to server systems and return packets to itself or to other client systems.

Related links

Running the NDIS tests


Cable modem testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a USB-based device, you must run the USB-specific tests. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The Cable Modem HCT kit includes the following manual and automated tests. The manual tests require user intervention and must be run individually and should be completed before automated tests are run.

Click to show or hide information. Manual tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • NDIS
  • Public Import
  • Signability
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Enumeration Stress
  • USB Manual Interoperability - Device
  • USB Selective Suspend
  • USB Serial Number

Click to show or hide information. Automated tests

  • ACPI Stress - Device I/O (Extended - NIC)
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF
  • Driver Verifier - NDIS
  • Enable/Disable - Device I/O (Network)
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  • PCI 2.2 Compliance
  • PCI Latency - NDIS
  • S3 Compliance
  • Surprise Removal
  • USB HIDView - HID Specification Compliance Testing
  • USB Isochronous Alternate Interface Presence

Test suite run time: 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Cable Modems HCT. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • Two Ethernet adapters
  • Two identical cable modem test adapters
  • Cable modem termination system (CMTS) that is compatible with the test device
  • Network adapter cables
  • FoxFire II PCI adapter installed on the client (required when testing PCI devices only)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For server system

  • One Intel Pentium, or equivalent, single processor test system with the following:
  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For client system

  • One test system with the following:
  • Dual Intel Pentium II, or equivalent, minimum 450 MHz microprocessors
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • Minimum 256 MB of RAM.

Note: For testing large memory enabled (LME) and physical address extension (PAE) devices, the client test system requires more than 4 GB RAM. A typical testing configuration is 5 GB of system memory.

  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For mini PCI, PC Card, and CardBus adapters

  • Two single-processor laptop test systems, each with the following:
  • Intel Pentium II, or equivalent, minimum 450 MHz microprocessor
  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • Windows XP Professional Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Click to show or hide information. Software requirements

The following software is required to run the Cable Modems HCT:

  • NDIS 5.0 drivers and other required files for installing the test adapter
  • Any required drivers that do not ship with Windows XP
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the cable modem network tests, testers must know how to do the following tasks:

  • Bind and switch TCP/IP and UDP protocols for network devices.
  • Establish an Ethernet back channel between client and server systems.
  • Create Network Share folders in Windows XP.
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for cable modem testing

Before running cable modem tests, you must configure the system and install the Windows XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Cable modem testing overview.

Test system configuration

A two-system configuration is required to test cable modems: a client system with the test device installed, and a server system with a support device installed.

The HCT kit requires the following system configuration tasks to prepare the server and client systems for testing.

To configure the server system for cable modem testing

  1. Install one cable modem device into the server system (this will be referred to as the support device). This support device can be a second test device or any Windows logo’d cable modem device.
  2. Install one Ethernet device into the server system for message card operation.

Use any logo'd Windows operating system-supported network adapter.

  3. Connect the cable modem device to the Cable modem termination system (CMTS).
  4. Connect the message card to a separate network.

Use the same network used in the client system configuration for the message card device.

  5. Install the HCT for Windows XP on the server system.

To configure the client system for cable modem testing

  1. Install the test cable modem device into the client system.
  2. Install one Ethernet device into the client system as a message card.

Use any logo'd Windows operating system-supported network adapter as the message card.

  3. Connect the test device to the CMTS.
  4. Connect the Ethernet message card to a separate network.

Use the same network used in the server system configuration for the message card device.

Note: The message card installation is required when running the NDIS test for network devices. Select a message card on both the client and server systems to run the NDIS 2-system test. If no message card is selected for both systems, the 2-system test will not run. This can result in an incomplete test log file.

  5. Install FoxFire II PCI adapter on the client system (required when testing PCI devices only).
  6. Install the HCT for Windows XP on the client system.

Related links

Cable modem testing overview


DSL device testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a USB-based device, you must run the USB-specific tests. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The DSL devices HCT kit includes the following manual and automated tests. The manual tests require user intervention and must be run individually and should be completed before automated tests are run.

Click to show or hide information. Manual tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • NDIS
  • Public Import
  • Signability
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Enumeration Stress
  • USB Manual Interoperability - Device
  • USB Selective Suspend
  • USB Serial Number

Click to show or hide information. Automated tests

  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF
  • Driver Verifier - NDIS
  • Enable/Disable - Device I/O (Network)
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  • PCI 2.2 Compliance
  • PCI Latency - NDIS
  • S3 Compliance
  • Surprise Removal
  • USB HIDView - HID Specification Compliance Testing
  • USB Isochronous Alternate Interface Presence

Test suite run time: 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the DSL Devices HCT. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • One xDSL test device
  • One ATM device.
  • Two Ethernet devices (for message card operation)
  • One DSL Access Multiplexer (DSLAM) and ATM switch or Central Office (CO) Box, with which the test device is compatible
  • One Ethernet hub or switch
  • Network adapter cables
  • FoxFire II PCI adapter installed on the client (required when testing PCI devices only)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For server system

One Intel Pentium, or equivalent, single processor test system with the following:

  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For client system

One test system with the following:

  • Dual Intel Pentium II, or equivalent, minimum 450 MHz microprocessors
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • Minimum 256 MB of RAM.

Note: For testing large memory enabled (LME) and physical address extension (PAE) devices, the client test system requires more than 4 GB RAM. A typical testing configuration is 5 GB of system memory.

  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For mini PCI, PC Card, and CardBus adapters

  • Two laptop test systems, each with the following:
  • Single Intel Pentium II, or equivalent, minimum 450 MHz microprocessor
  • 256 MB of RAM
  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

Click to show or hide information. Software requirements

The following software is required to run the DSL Devices HCT:

  • NDIS 5.0 drivers and other required files for installing the test adapter
  • Any required drivers that do not ship with Windows XP
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the DSL device tests, testers must know how to do the following tasks:

  • Bind and switch TCP/IP and UDP protocols for network devices.
  • Establish an Ethernet back channel between client and server systems.
  • Create Network Share folders in Windows XP.
  • Set up an ATM server system
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for DSL devices testing

Before running Digital Subscriber Line (xDSL) tests, you must configure the system and install the Windows XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the DSL devices testing overview.

Test system configuration

A two-system configuration is required to test DSL devices: a client system with the test device installed, and a server system with the ATM device installed.

The HCT kit requires the following system configuration tasks to prepare the server and client systems for testing.

To configure the server system for DSL devices testing

  1. Install one ATM device into the server system.
  2. Install the appropriate Ethernet device into the server system for message card operation.

Use any logo'd Windows operating system-supported network adapter.

  3. Connect the server ATM device to the CO box (or alternatively an ATM switch if the test system substitutes a DSLAM and ATM switch for the CO box).
  4. Connect the message card to a separate network.

Use the same network used in the client system configuration for the message card device.

  5. Install the HCT for Windows XP on the server system.

To configure the client system for DSL device testing

  1. Install one test device into the client system.
  2. Install one Ethernet device into the client system as a message card.

Use any logo'd Windows operating system-supported network adapter as the message card.

  3. Connect test devices to the CO box or ATM switch.
  4. Connect the Ethernet message card to a separate network.

Use the same network used in the server system configuration for the message card device.

WHQL does not require an isolated network for the Ethernet Back Channel.

Note: The message card installation is required when running the NDIS test for network devices. Select a message card on both the client and server systems to run the NDIS 2-system test. If no message card is selected for both systems, the 2-system test will not run. This can result in an incomplete test log file.

  5. Install the HCT for Windows XP on the client system.

Related links

DSL device testing overview


LAN device testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the Hardware Compatibility Test (HCT) topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a USB-based device, you must run the USB-specific tests. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The Local Area Network (LAN) Devices HCT includes test procedures for the following devices:

  • Local area network (LAN) network adapter
  • Radio frequency-based LAN adapter
  • Home phone line network device
  • Infrared (IrDA) adapter
  • Server LAN adapter

The LAN devices HCT kit includes the following manual and automated tests. The manual tests require user intervention and must be run individually and should be completed before automated tests are run

Click to show or hide information. Manual tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • NDIS
  • NDIS (low speed)
  • Public Import
  • Signability
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Enumeration Stress
  • USB Manual Interoperability - Device
  • USB Selective Suspend
  • USB Serial Number

Click to show or hide information. Automated tests

  • ACPI Stress - Device I/O (Extended - NIC)
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF
  • Driver Verifier - NDIS
  • Enable/Disable - Device I/O (Network)
  • LAN Device Wake Up
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  • PCI 2.2 Compliance
  • PCI Latency - NDIS
  • Remote Boot
  • S3 Compliance
  • Surprise Removal
  • USB HIDView - HID Specification Compliance Testing
  • USB Isochronous Alternate Interface Presence

Test suite run time: 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the LAN Devices HCT. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • One DHCP server (required for the Remote Boot - LAN test only)
  • Three identical network interface test devices (two for IrDA, RF, and Home phone line network testing)
  • Two Ethernet devices
  • Network adapter cables for any supported cable types (UTP, AUI, BNC, FDDI, CDDI, OC-3)
  • Two Ethernet switches or hubs (only one required for IrDA, RF, or Home phone line network testing)
  • One PCI bridge (not required for IrDA, RF, and Home phone line network testing)

A PCI bridge is required only for testing PCI devices when the client system does not have a PCI bridge on the motherboard.

Use any system that has a PCI bridge implementation.

  • Supported antennas (required for IrDA and RF devices only)

Use active or passive antennas for radio frequency-based LAN adapters only.

Important: Adapters distributed by original equipment manufacturers (OEMs) to individual hardware vendors (IHVs) must use the core chipset driver developed by the OEM. For example, the AcerLAN ALN-201 PCI must use the Rtl8029.system driver because the adapter chipset is based on the Rtl8029 chip.

  • FoxFire II PCI adapter installed on the client (required when testing PCI devices only)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For server system

One Intel Pentium, or equivalent, single processor test system with the following:

  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For client system:

One test system with the following:

  • Dual Intel Pentium II, or equivalent, minimum 450 MHz microprocessors
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • Minimum 256 MB of RAM

Note: For testing large memory enabled (LME) and physical address extension (PAE) devices, the client test system requires more than 4 GB RAM. A typical testing configuration is 5 GB of system memory.

  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For mini PCI, PC Card, or CardBus adapters (including wireless or IrDA mini PCI, PC Card or CardBus adapters)

Two laptop test systems, each with the following:

  • Single Intel Pentium II, or equivalent, minimum 450 MHz microprocessor
  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk drive space
  • CD-ROM drive

Click to show or hide information. Software requirements

The following software is required to run the LAN network adapter tests:

  • NDIS 5.0 drivers and other required files for installing the test adapter
  • Any required drivers that do not ship with Windows XP
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the LAN network adapter tests, testers must know how to do the following tasks:

  • Bind and switch TCP/IP and UDP protocols for network devices.
  • Establish an Ethernet connection between client and server systems.
  • Create Network Share folders in Windows XP.
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for LAN device testing

Before running LAN device tests, you must configure the system and install the Windows XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the LAN device testing overview.

Test system configuration

A two-system configuration is required to test LAN devices: a client system with two test devices installed, and a server system with an additional network device installed. The second client network device and the network device in the server system are referred to as support devices. These support devices must be identical to the primary test device installed in the client (test) system. The HCT kit requires the following system configuration tasks to prepare the server and client systems for testing.

To configure the server system for LAN device testing

  1. Install one network test device into the server system (this device will be referred to as the support device).

Note: During the installation of the HCT on the server system, the server system is referred to as the remote test host. Thereafter, the term "server system" will be used exclusively when describing the second system required during portions of the device testing.

  2. Install an Ethernet device into the server system for message card operation.

Use any logo'd Windows operating system-supported network adapter for this message adapter.

  3. Connect the server support device to the client system’s test device
  4. Connect the server’s message card to the client system’s message card on a separate network

Use the same network used in the client system configuration (see To configure the client system for LAN testing) for the message card device.

  5. Install the HCT for Windows XP on the server system.

To configure the client system for LAN device testing

  1. Install two identical test devices in the client system.

WHQL refers to the two LAN test devices as the test device and the support device. Install the second support LAN test device across a PCI bridge and on the same network as the test device.

– or –

Install one test device into the client system, if testing one of the following adapter types:

  • RF
  • IrDA
  • Mini-PCI
  • USB
  2. Install one Ethernet device into the client system for message card operation.

Use any Windows logo'd message card network adapter.

Note: The message card installation is required when running the NDIS test for network devices. Select a message card on both the client and server systems to run the NDIS 2-machinetest. If no message card is selected for both systems, the 2-machine test will not run, or be seen by NDISTEST. This can result in an incomplete test log file.

  3. Connect the test devices to an isolated network using a hub or switch.
  4. Connect the message card to a separate network.

An isolated network is not required for this step.

Tip: For RF devices, WHQL recommends keeping the test device on an isolated network, and using a second wired network for the message card device.

  5. Install FoxFire II PCI adapter on the client system (required when testing PCI devices only).
  6. Install the HCT for Windows XP on the client system.

Related links

LAN device testing overview


LAN Device Wake Up test

The LAN device wake up test verifies that the test device supports the wake up command while the test system is in the D3 state.

Run time: 10 minutes

Log file name: wakedevs.log (wakesrv.log for the server version of this test)

Operating system: Windows XP Professional

Test assertion: Chapter 4

Note: This test is not required for network devices in mobile systems, Multifunction, broadband (such as cable modems), LAN emulation, Wireless LAN, or Server LAN (such as multi-port, FDDI, or Gigabit Ethernet) devices, and USB devices, with the exception of self powered USB devices that also include support for LAN device wake up functionality.

Related links

Running the LAN Device Wake Up test


NDIS (low speed) testing overview

The NDIS (low speed) test, although functionally expressed as a single test in Test Manager, contains individual tests invoked through a separate test shell (NDISTEST), which provide low speed tests.

Prior to running the NDIS (low speed) test, verify that the test network device on the client system is set to the lowest speed and to half duplex mode (if the device supports this mode). Remember the original settings because after the NDIS (low speed) test finishes, the network device settings should be reset to their original settings.

Configuring the speed and duplex mode of the test device

  1. Click Start, click Control Panel, click Network and Internet Connections, click Network Connections, double click Local Area Connections, and then click the General tab.
  2. In the Connect Using window, select the network test device, click OK, click Configure, and then click the Advanced tab.
  3. Navigate through the options and select the option that provides the lowest connection speed and half duplex mode, if this option is available, and then click OK.
  4. Click OK again, and close any remaining windows.

Related links

Running the NDIS (low speed) test


Remote Boot - LAN test

This test verifies that the test system is capable of restarting when a remote command is issued.

The remote boot test verifies the following:

  • Test system BIOS supports the Pre-boot Execution Environment (PXE)
  • Test system BIOS supports boot the system from the network
  • Test system provides a Universal Unique Identification (UUID)

Run time: 5 minutes

Log file name: Rmboot.log

Operating systems: Windows XP Professional and Windows Whistler Server

Test assertions: Chapter 12

Additional hardware requirement

A DHCP server is necessary when running the Remote Boot test. This is in addition to the client (test) system and server system routinely used for network device testing.

Related links

Running the Remote Boot - LAN test


NDIS intermediate drivers testing overview

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

This topic describes the process that independent software vendors (ISVs) use to obtain a digital signature for software-only NDIS intermediate drivers (IM) that are not tied to a hardware-oriented mini-port. This process applies to Windows XP Professional NDIS 5.0 and 5.1 drivers only. This testing approach contains the following two phases:

Phase I requires successful test results from all tests in the NDIS Intermediate Drivers HCT. Phase II includes testing for additional requirements and vendor-specific functionality. The vendor supplies a test plan (test procedures) for testing of the intermediate driver. This test plan must describe the functionality testing process used to test the NDIS intermediate driver. Vendors are also required to submit proof of execution of the test plan.

You must first run Phase I on a checked build, with Driver Verifier enabled, and then run Phase 2 on a free build, with Driver Verifier disabled. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

Phase I

In Phase I, run all required tests in the NDIS Intermediate Driver HCT. Please note that the manual and automated test lists include all bus-specific tests. However, only bus-specific tests that are appropriate to your test device appear in Test Manager during testing. For example, when testing a USB –based device, you see only required USB-specific tests in Test Manager.

Phase II

In Phase II, use the vendor-supplied functionality test instructions to examine the NDIS intermediate driver functions. This test plan must explain how to test the unique nature of the intermediate driver. WHQL expects the vendor to be the expert regarding their intermediate driver functionality; therefore WHQL requires the vendor to supply a concise and thorough test plan with evidence that it was executed without failures.

Run Phase II on a checked build, with Driver Verifier enabled, and then run Phase II again on a free build, with Driver Verifier disabled. Submit passing test log files for both test runs to WHQL.

Important: The log file for the test run against the checked build must also include any Driver Verifier strings used during testing.

The vendor test plan must include additional testing for compliance with Plug and Play functionality using the following recommended devices:

  • 32-bit PC Card modems
  • Combo cards
  • Other USB devices and modems

Vendors are required to test for hot insertion and removal of these adapters with the intermediate driver installed on the client test system. The vendor test plan must include testing for the following Plug and Play functionality:

  • Device insertion and removal processes (use the previously mentioned recommended devices)
  • Driver complies with power management issues.
  • System functions after 100 suspend/resume and hibernate/resume cycles.
  • Intermediate driver installs and uninstalls correctly leaving the system in a stable state.
  • Intermediate driver can be unbound and rebound through the connection manager from all adapters.
  • Estimate and measure the performance effects from running the intermediate driver.

Important: It is important to test interoperability with other NDIS intermediate drivers, such as the Microsoft® QoS driver.

Vendors can use independent third party testing labs. Vendors must submit sufficient documentation on testing methods and testing coverage of the special functionality of the intermediate driver. Driver(s) must comply with all relevant restrictions about excessive UI, configuration, and proliferation of files or registry settings.

Submit the entire package to WHQL. Within 30 days, WHQL assigns a review committee that makes a determination of whether it can issue a digital signature. The review committee reserves the right to make recommendations for further testing, and may initiate some follow-up conversations between the ISV and the committee.

Phase I testing

The NDIS intermediate drivers HCT kit includes the following manual and automated tests. Although the manual tests should be run before the automated tests, with the exception of the PCI Latency -NDIS test (which should be run last) the tests themselves may be run in any order.

Click to show or hide information. Manual tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • Driver Verifier - NDIS
  • NDIS
  • Public Import
  • Signability
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Enumeration Stress
  • USB Manual Interoperability - Device
  • USB Selective Suspend
  • USB Serial Number

Click to show or hide information. Automated tests

  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF
  • Enable/Disable - Device I/O (Network)
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  • PCI 2.2 Compliance
  • PCI Latency - NDIS
  • S3 Compliance
  • Surprise Removal
  • USB HIDView - HID Specification Compliance Testing
  • USB Isochronous Alternate Interface Presence

Test suite run time: 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the WAN ISDN Devices HCT. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • Two each of the following reference network devices (one each per client and server system)
  • Intel 10/100 card (e100b)
  • 3Com 10/100 card (905c)
  • 3Com Gigabit adapter 3C985B-SX

Important: Send the appropriate additional hardware if the vendor-supplied test plan requires testing with a CardBus, PC Card, or USB modem.

  • Use two offload-enabled cards on each system (choose from the following Intel or 3Com devices)
  • Intel e100bpro and 3Com 3CR990
  • Intel PRO/100 S Management Adapter
  • Intel PRO/100 S Advanced Management Adapter
  • Intel PRO/100 S Server Adapter
  • 3Com EtherLink 10/100 Mbps PCI NIC with 3XP Processor (3CR990-TX-95); Typhoon 56 bit
  • 3Com EtherLink 10/100 Mbps PCI NIC with 3XP Processor (3CR990-TX-97); Typhoon 168 bit
  • 3Com EtherLink Server 10/100 Mbps PCI NIC with 3XP Processor (3CR990SVR95); Typhoon 56 bit
  • 3Com EtherLink Server 10/100 Mbps PCI NIC with 3XP Processor (3CR990SVR97); Typhoon 168 bit
  • One PCI bridge

A PCI bridge is required only if the client system does not have a PCI bridge on the motherboard.

  • Two Ethernet devices (for message card operation)
  • Two Ethernet hubs or switches
  • Network adapter cables
  • FoxFire II PCI adapter installed on the client (required when testing PCI devices only)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For server system

  • One Intel Pentium, or equivalent, single processor test system with the following:
  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For client system

One test system with the following:

  • Dual Intel Pentium II, or equivalent, minimum 450 MHz microprocessors
  • Minimum 256 MB of RAM.

Note: For testing large memory enabled (LME) and physical address extension (PAE) devices, the client test system requires a minimum of 5 GB of RAM.

  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For mini PCI, PC Card, and CardBus adapters

Two laptop test systems, each with the following:

  • Single Intel Pentium II, or equivalent, minimum 450 MHz microprocessor
  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

Click to show or hide information. Software requirements

The following software is required to run the NDIS Intermediate Drivers HCT:

  • NDIS 5.0 or 5.1 drivers, and other required files for installing the test adapter
  • Any required drivers that do not ship with Windows XP
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the NDIS intermediate drivers tests, testers must know how to do the following tasks:

  • Bind and switch TCP/IP and UDP protocols for network devices.
  • Establish an Ethernet back channel between client and server systems.
  • Create Network Share folders in Windows XP.
  • Set up an NDIS intermediate drivers server and client system.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0

Related links


Preparing for NDIS Intermediate Drivers testing

This document describes the process that ISVs use to obtain a digital signature for software-only NDIS intermediate drivers (IM) that are not tied to a hardware-oriented mini-port. This process applies to Windows® XP Professional NDIS 5.0 and 5.1 drivers only.

To complete NDIS software-only intermediate driver full-test procedures

NDIS intermediate driver testing consists of the following two phases:

Phase I

To complete phase 1 complete all tests in the Intermediate drivers HCT and submit results to WHQL.

Phase II

The vendor supplies a test plan (test procedures) for functionality testing of the intermediate driver. The vendor test plan examines all vendor-specific network functionality implemented in the software.

Related links


Systems Area Network (Winsock Direct) device testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

The Systems Area Network (Winsock Direct) HCT kit includes the following manual and automated tests.

Click to show or hide information. Manual Tests

  • Network NDIS
  • Public Import

Click to show or hide information. Automated tests

  • TBD

Test suite run time: TBD

Click to show or hide information. Hardware requirements

The following hardware is required to run the Systems Area Network (Winsock Direct) HCT:

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • Two dual CPU test systems with the following:

Note: For testing large memory enabled (LME) and physical address extension (PAE) devices, the client test system requires more than 4 GB RAM. A typical testing configuration is 5 GB of system memory.

  • Minimum 512 MB of RAM
  • CD-ROM drive
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)
  • Two Systems Area Network (Winsock Direct) network devices:
  • Two Ethernet devices
  • One PCI bridge

A PCI bridge is required only if the client system does not have a PCI bridge on the motherboard.

  • FoxFire II PCI adapter installed on the client (required when testing PCI devices only)

Click to show or hide information. Software requirements

The following software is required to run the Systems Area Network (Winsock Direct) HCT:

  • Vendor specific NDIS 5.0 drivers and other required files for installing the test adapter
  • Any Systems Area Network (Winsock Direct) drivers that do not ship with Windows XP
  • Windows Whistler Advanced Server or Windows Whistler DataCenter operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the Systems Area Network (WSD) tests, testers must know how to do the following tasks:

  • Bind and switch TCP/IP and UDP protocols for network devices.
  • Establish an Ethernet back channel between client and server systems.
  • Install the Systems Area Network (Winsock Direct) service.
  • Install the Windows Whistler Advanced Server or Windows Whistler DataCenter Server operating system from the product CD.

Related links

Preparing for Systems Area network (Winsock Direct)


Preparing for Systems Area Network (Winsock Direct) device testing

Before running Systems Area Network (Winsock Direct) tests, you must configure the system and install the Windows Whistler Advanced Server or Windows Whistler DataCenter operating system.

This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Systems Area Network (Winsock Direct) testing overview.

Test system configuration

A two-system configuration is required to test Systems Area Network (Winsock Direct) devices. You must install Systems Area Network services on both the server system and the client system.

The HCT kit requires the following system configuration tasks to prepare the server systems (both test and client) and for testing.

To configure the test systems for Systems Area Network

  1. Install the Systems Area Network (Winsock Direct) test devices on the client involved in the Systems Area Network.

WHQL refers to the client as the system under test.

  2. Install the Systems Area Network (Winsock Direct) test device in the server involved in the Systems Area Network. This device will be referred to as the support device.
  3. Install Ethernet devices on the client and server systems for the Ethernet back channel.

The Systems Area Network (Winsock Direct) test uses these Ethernet devices as message cards creating a standard Ethernet back channel connection between the server and client systems.

  4. Install the HCT.

Related links

Systems Area Network (Winsock Direct) testing overview


WAN device testing overview

The wide area network (WAN) media devices operating as network adapters must comply with NDISWAN miniport or NDIS LAN emulation driver requirements.

The WAN network adapters are organized by the following categories:

  • Type I adapters are devices that have an NDIS-compliant NDISWAN miniport driver.
  • Type II adapters are devices that have an NDIS LAN emulation driver, and support all the Windows XP supported transport protocols.
  • Type III adapters are devices that have an NDIS LAN emulation driver, and support only a limited set of transport protocols.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description, and a running the HCT topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics include an explanation of the function of the test and the test run time. The running the test topics include instructions for running the HCT tools.

To obtain a "Designed for Windows XP" logo, a test device must successfully pass a series of manual (tests requiring user input) and automated tests. Please note that the manual and automated test lists include all bus-specific tests. However, you are required to run only bus-specific tests that are appropriate to your test device. For example, when testing a USB-based device, you must run the USB-specific tests. Also note that any test specific hardware (for example, the FoxFire II card, which is required for several tests) should be installed in the test system before the HCT is installed. Failure to install all required hardware prior to installation of the HCT may invalidate test results, requiring the device testing to be completely redone.

The WAN devices HCT kit includes the following manual and automated tests. The manual tests require user intervention and must be run individually and should be completed before automated tests are run.

Click to show or hide information. Manual tests

  • 1394 Configuration ROM
  • 1394 Interoperability
  • NDIS
  • Public Import
  • Signability
  • USB 1.1 Specification Compliance
  • USB Address Description
  • USB Device Control Requests
  • USB Device Framework
  • USB Device Installation
  • USB Enumeration Stress
  • USB Manual Interoperability - Device
  • USB Selective Suspend
  • USB Serial Number

Click to show or hide information. Automated tests

  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • CardBus Card Common Silicon Guidelines
  • ChkINF
  • Driver Verifier - NDIS
  • Enable/Disable - Device I/O (Network)
  • Large Memory/PAE - Phase 1
  • Large Memory/PAE - Phase 2
  • Large Memory/PAE - System Reset
  • PCI 2.2 Compliance
  • PCI Latency - NDIS
  • S3 Compliance
  • Surprise Removal
  • USB HIDView - HID Specification Compliance Testing
  • USB Isochronous Alternate Interface Presence

Test suite run time: 12 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the WAN Devices HCT. Additional hardware may be required if the test device provides bus-specific support. See the test description for each bus-specific test to determine if there are additional hardware requirements.

  • Four WAN test adapters
  • Public Data Network (PDN) X.25 media with the following:
  • One network switch or simulator that supports the same line interface as the test adapter

WHQL recommends using a Telematic Model 60 switch with asynchronous modem dial-up ports, RS232 asynchronous ports, RS232 synchronous ports, and V.35 high-speed synchronous ports.

  • Null modem cables for asynchronous, synchronous, and V.35 high-speed synchronous DB25 ports
  • Public Switched Telephone Network (PSTN), Digital Data Services (DDS), or T-Carrier media with the following:
  • One network switch or simulator for adapters that use an asynchronous or synchronous port for leased/switched PSTN, DDS, or T-Carrier connections

WHQL recommends using a Madge/Teleos switch to test switched T1 line adapters.

  • Null modem cables for leased or switched line connections other than T1
  • One Hayes-compatible 2.28bps reference modem
  • Frame Relay, Switched Multi-megabit Data Service (SMDS), or Synchronous Optical Network (SONET) media

WHQL recommends using a null modem cable to make back-to-back connections.

  • One PCI bridge

A PCI bridge is required only if the client system does not have a PCI bridge on the motherboard.

  • Two Ethernet devices (for message card operation)
  • One network hub or switch
  • Network adapter cables
  • FoxFire II PCI adapter installed on the client (required when testing PCI devices only)

Important: Each test system (both client and server) must be included on the Microsoft Windows Hardware Compatibility List (HCL).

For server system

One Intel Pentium, or equivalent, single processor test system with the following:

  • Minimum 256 MB of RAM.
  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For client system

One test system with the following:

  • Dual Intel Pentium II, or equivalent, minimum 450 MHz microprocessors
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • Minimum 256 MB of RAM.

Note: For testing large memory enabled (LME) and physical address extension (PAE) devices, the client test system requires more than 4 GB RAM. A typical testing configuration is 5 GB of system memory.

  • Minimum 2 GB of available hard disk space
  • CD-ROM drive
  • One monitor, one keyboard, and one mouse (or any pointing/drawing device)

For mini PCI, PC Card, and CardBus adapters

  • Two laptop test systems, each with the following:
  • Single Intel Pentium II, or equivalent, minimum 450 MHz microprocessor
  • System BIOS (unmodified) that supports S1, S3 and S4 power management states and meets Windows Logo System and Device Requirements 2.0.

Note: To verify that the test system supports these states, contact the system vendor, or install the Systems kit and successfully pass the ACPI Stress Device I/O (extended) and the S3 Compliance tests.

  • 256 MB of RAM
  • Minimum 2 GB of available hard disk space
  • CD-ROM drive

Click to show or hide information. Software requirements

The following software is required to run the DSL Devices HCT:

  • NDIS 5.0 drivers and other required files for installing the test adapter
  • Any required drivers that do not ship with Windows XP
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the DSL device tests, testers must know how to do the following tasks:

  • Bind and switch TCP/IP and UDP protocols for network devices.
  • Establish an Ethernet back channel between client and server systems.
  • Create Network Share folders in Windows XP.
  • Set up an ATM server system
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for WAN device testing

Before running wide area network (WAN) tests, you must configure the system and install the Windows XP Professional operating system. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the WAN device testing overview.

Test system configuration

A two-system configuration is required to test WAN devices: a client system with two test devices installed, and a server system with a third network device installed. The second client network device and the network device in the server system are referred to as support devices. These support devices can be additional test devices or any Windows logo’d devices.

The HCT kit requires the following system configuration tasks to prepare the server and client systems for testing.

To configure the server system for WAN device testing

  1. Install the reference WAN device into the server system.

Use any Windows logo'd WAN device as the reference device.

  2. Install one Ethernet device into the server system for message card operation.

Use any Windows logo'd network adapter for this message adapter.

  3. Connect the server test device to the appropriate WAN switch, or use the null modem cable to connect the server test card to the client test card.
  4. Connect the message card to a separate network.

Use the same network used in the client system configuration for the message card device.

  5. Install the HCT for Windows XP on the server system.

To configure the client system for WAN device testing

  1. Install two WAN test devices into the client system.

WHQL refers to the two WAN test devices as the test device and a support device. Install the second (support) WAN test device across a PCI bridge.

  2. Install one Ethernet device into the client system for message card operation.

Use any Windows operating system supported message card adapter.

Note: The NDIS test consists of many separate tests invoked through the NDISTEST shell. The message card installation is required when running portions of the NDIS test requiring communication between the client and server systems (referred to as machines by the NDISTEST shell). If no message card is selected for both systems, the 2-system tests will not run and result in an incomplete test log file

  3. Connect the test devices to the WAN line.
  4. Connect the message card to a separate network.

Use the same network used in the server system configuration for the message card device.

An isolated network is not required for the Back Channel operation.

  5. Install FoxFire II PCI adapteron the client (required when testing PCI devices only).
  6. Install the HCT for Windows XP on the client system.

Related links

FoxFire II PCI adapterFoxFire II PCI adapter(Sh_75)
WAN devices testing overview


Running the NDIS tests

The typical configuration for NDIS testing requires two systems, the test system (referred to as the client) and a server system. Although several systems may share the testing sub-net (typically done to allow multiple network devices to be tested simultaneously), for ease of test configuration this is not recommended.

The client system is configured with three network devices: the test device, a network device referred to as a support device, and a device that is usually an Ethernet message card for back channel communication.

The server system is configured with two network devices: a support device and an Ethernet message card for back channel communication.

A typical configuration involves a private test channel through which the client test device and the server support device communicate. Below is a diagram of a typical configuration for LAN testing.

The test setup involves two network segments: the test channel (through which the client test device and the server support device communicate) and the back channel (through which messages are passed between the Ethernet cards in the client and server, respectively). In order to reduce the possibility of test failure (other network traffic could affect the transmission of data over the test channel), connect the test channel over a private switched subnet.

Before running the NDIS test, verify that the test network device on the client system is set to bring the computer out of standby mode.

To Configure the test device to control standby mode

  1. Click Start, click Control Panel, click System, and the click the Hardware tab.
  2. Click Device Manager, double-click Network adapters, and view the properties of the test network device.
  3. From the properties windows of the test network device, click the Power Management tab, and select the Allow this device to bring the computer out of standby check box. Click OK.
  4. Close any remaining windows.

To run the NDIS tests on the server system

  1. Start Test Manager for the appropriate device category. The server system should have been configured as a remote test host during the HCT installation.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select NDIS, and then click Add Selection.
  3. Click Start Tests. The NDISTEST window opens. Verify that the NDISTEST screen opens with the Server option pre-selected.

Important: The server system must be configured as a Remote Test Host during the initial installation of the HCT.

  4. Verify that in the right pane of the Tests tab, the SERVER option is selected. If this option is not preset, select it now. A list of support devices appears in the left pane under SUPPORT DEVICES.
  5. Verify that the network device installed as the support card is listed under SUPPORT DEVICES. If not, select the network adapter installed on the server system that is connected to the client test device.

Note: The server system should be configured with two network devices, an Ethernet card (which sends messages on a back channel to an Ethernet card on the client [test] system) and a support device. Since the support device communicates directly with the test device, optimum test conditions are when the test and support devices are exactly the same make, model, driver, etc. However, if this is not possible the test and support devices should be functionally equivalent.

  6. Verify that in the left pane, in the MESSAGE box, the Ethernet device installed for back channel communication is pre-selected. If not, select the network device that is installed as the back channel adapter. The server system’s message device should be configured to allow communication with the message device on the client system. This communication should be handled on a private sub-net.
  7. Click START. The above procedures put the server system into testing mode, which allows the server system to react to messages from the client system during NDIS testing.

To run the NDIS tests on the client system

  1. Start Test Manager for the appropriate device category.
  2. At the Test Manager window in the Available Tests for Selected Test Category, select NDIS, and then click Add Selection.
  3. Click Start Tests. The NDISTEST window displays. Verify that the NDISTEST started with the Client and WHQLa-leighm check boxs selected by default.

Important: The NDISTEST screen opens on the client (test) system with the WHQL option pre-selected. Changing this option will result in a failed test.

  4. In the left pane of the Tests tab, next to TEST DEVICES, verify that the test device is selected. If the device displayed is incorrect, select the correct test network device.

Important: Although multiple instances of the test device may be visible in the Test Devices window, select the test device that is not bound to a protocol.

  5. Under Message, verify that the correct message cards are visible in the MESSAGE window (both client and server message cards should be displayed).

Important: The client (test) and server system’s Ethernet message cards must be available during testing to allow back channel communication.

  6. Under SUPPORT DEVICES, verify that the support device with the name of the server system as a prefix is visible. This is the network device on the server system with which the test device will communicate. For ATM, LAN, WAN, and NDIS intermediate drivers, a second support device, installed in the client over a PCI bridge, is required. When testing these types of network devices verify that the second support device in the client system is present in the support devices window. The second support device installed in the client (test) system must be identical to the test device.

Important: For ATM, LAN, WAN, and NDIS intermediate drivers tests, the NDISTEST requires both client and server support devices to be configured on the client system; otherwise support devices will not communicate properly during the test.

  7. After all configuration settings have been properly set, click File, then Save Configuration to save these settings.

Important: Additional tests require these configuration settings to function correctly. For this reason it is advisable to save these settings before beginning NDIS testing.

  8. Verify that in the right pane of the Tests tab, all required tests for the test device are displayed. If not, select WHQL Tests. Click a test name to see a brief description of the test appear in the bottom pane, or Click START to begin the test.
  9. When the test is complete, click View Log to view the test log file. The test log file is an HTML document. Tests with failures or warnings are hyperlinked for easy review.

Important: If the NDIS test on the client system has to be stopped before the test completes, the NDIS test on the server system should be stopped and restarted before restarting the NDIS test on the client. This procedure insures that the server is available for communication with the test system.

  10. Quit the NDISTEST application, first on the client system, then on the server system to return the summary NDIS test log files to Test Manager.
  11. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the LAN Device Wake Up test

To run the LAN Device Wake Up test

  1. Start Test Manager on the Server system.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Wake Device Server, and then click Add Selection.
  3. In the Selected Tests pane, Click the + sign to the left of Wake Device Server to expand the preset test parameters.
  4. Double-click Device Parameters. Click Parameter 2, and enter the appropriate server IP address (example 192.0.0.1).
  5. Click OK.
  6. Click Start Tests.
  7. Start Test Manager on the client system.
  8. At the Test Manager window in the Available Tests for Selected Test Category pane, select LAN Device Wake Up, and then click Add Selection.
  9. Click Start Tests.
  10. Follow the instructions displayed to create the correct device topology and run the test.
  11. When the test is completed, view and copy test log files.
  12. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the NDIS (low speed) test

To run the NDIS (low speed) test

  1. Start Test Manager on the client system.
  2. At the Test Manager window in the Available Tests for Selected Submission Category pane, select NDIS (low speed), and then click Add Selection.

Important: Configuration information set during the manual NDIS test is required for the NDIS (low speed) test. If the NDIS test hasn’t been completed, perform this and other manual tests before starting the NDIS (low speed) test.

  3. Click Start Tests.
  4. This invokes the NDISTEST shell. Verify that the test device is selected and the test mode is set to client. Makes appropriate changes if necessary and click Start Tests.
  5. When the test is completed, view test log files.

Important: Prior to running any other tests, reset the network device speed and duplex settings back to their original settings.

  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


ACPI Stress - Device I/O (Extended - NIC) test

The ACPI Stress - Device I/O (Extended- NIC) test examines the network device in the system, and then puts the system into a sleep/hibernation state. When the system returns from sleep/hibernation, the test verifies that the devices function properly after sleep/hibernation. This test examines all sleep/hibernation states that the system should support, including S1 and S2 or S3Support of S4 or S4BIOA is optional.

The ACPI Stress Extended Device I/O (Extended - NIC) test runs through 50 iterations of testing the system I/O and sleep/hibernation, and 10 iterations of testing for device input/output (I/O) and sleep/hibernation.

ACPI supports a Real Time Clock (RTC). For this test functionality, the clock is set to 60 seconds per state for systems testing and 4 minutes for device testing. Systems that don't have RTC support for a hibernation state restart without the normal 60-second delay.

Talk with Chris Hilbert about what has been written to verify that it is correct for RTM. Need this resolved by Monday July 9Run time: Maximum 2 hours, depending on the number of system states the test system supports

Log file name: Pmte.log (for detailed troubleshooting information, refer to the log files displayed under Pmte.log in Test Manager Log Viewer)

Operating system: Windows XP Professional

Test assertion: Chapter 3

Additional configuration requirement

This test requires two systems: the test (client) system and a server system. You must create a network shared folder on the server system prior to starting this test.

To create a network shared folder

Important: The Network Setup wizard configures a system to share folders on a network. See Network Setup wizard for configuraiton instructions.

  1. From the desktop of the server system, click Start, click My Computer, then double click the drive on which you wish to create a shared folder (for example, C:).
  2. Select an existing folder or create a new folder that you wish to share.

The default folder name is Share. To facilitate setup for tests that require a shared folder on the server system, select this name for the shared folder.

  3. Select the Share this folder on the network option, and verify that the Allow network users to change my files option is also selected.
  4. Click Apply, and then click OK.
  5. Close all windows.

Related links

Running the ACPI Stress - Device I/O (Extended - NIC) test

Running the Network Setup wizard


Running the ACPI Stress - Device I/O (Extended - NIC) test

To run the ACPI Stress - Device I/O (Extended - NIC) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Stress -Device I/O (Extended - NIC), and then click Add Selection.
  3. In the Selected Tests pane, click the + sign to the left of ACPI Stress - Device I/O (Extended - NIC) to expand the test parameters:
  4. Double-click PMTE parameters, and edit parameter 2 \\server_ip\share by entering the IP address of the test network adapter on the server, followed by the name of the shared directory, and then click OK.

For example, if the test network adapter on the server has an IP address of 192.168.7.27, and a shared directory c:\shared, you would enter \\192.168.7.27\shared in the Edit Test Parameters dialog box.

  5. Click Start Tests.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Driver Verifier - NDIS test

To run the Driver Verifier - NDIS test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Verifier - NDIS, and then click Add Selection.
  3. Click on the + sign to the left of the test name in the Available Tests for Selected Test Category pane to expand the preset test parameters.
  4. Double-click Device Parameters. Click the Parameter 4 entry (\\Server_Ip\Shared) and enter the appropriate server name and shared folder test folder.
  5. Click OK.
  6. Click Start Tests.
  7. During the test, a dialog box will open requiring the path to the checked build of the NDIS.sys file. Navigate to the location of this file (for example, c:\temp) and click OK.
  8. When the test is completed, view test log files.
  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Network Setup Wizard

  1. General information about network folder sharing TBD.


Running the Network Setup Wizard

To share network folders, you must run the Network Setup wizard once.

To run the Network Setup wizard

  1. From the Windows desktop, click Start, click My Computer, then select a hard drive for the shared folder. Double-click the drive to open it. Select or create a folder on the drive to share.
  2. Right-click the icon for this folder to display folder properties, and then select Sharing and Security.
  3. Click the Sharing tab.
  4. At the bottom of the dialog box, click Network Setup Wizard, click Next, and then click Next again.
  5. The Network Setup wizard window provides three options. Select the middle option: This computer connects to the Internet through another computer on my network or through a residential gateway, and then click Next.
  6. Select an appropriate description for the computer, or just click Next.
  7. Select the Let me choose the connection to my network option, and click Next.
  8. Verify that the workgroup name displayed in the workgroup box is correct. If not, type the correct name in the workgroup text box. Click Next.
  9. The Network Setup wizard displays the current configuration settings. Verify that no bridges or firewalls were installed, and all other settings are correct. Click Next.
  10. Four options are displayed. Choose the last option, Just finish the wizard; I don’t need to run the wizard on other computers, and click Next.
  11. When prompted to restart the system, click No. The Share Properties dialog box displays with the Sharing tab selected by default.
  12. Click the Share this folder on the network option, and verify that the option Allow network users to change my files is selected. Click Apply, then click OK.
  13. Close all windows.


Running the Enable/Disable - Device I/O (Network) test

To run the Enable/Disable - Device I/O (Network) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Enable/Disable - Device I/O (Network), and then click Add Selection.
  3. Click the + sign to the left of the test name in the Available Tests for Selected Test Category pane to expand the list of the preset test parameters.
  4. Double-click Device Parameters. Click the Parameter 2 entry (\\server\share\file}, and enter the appropriate server name and shared directory.
  5. Click OK.
  6. Click Start Tests.
  7. When the test is completed, view test log files.
  8. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Remote Boot - LAN test

To run the Remote Boot - LAN test

  1. Start Test Manager on the server system.
  2. Run PXE Server Installationon the server system.
  3. Start Test Manager on the client system.
  4. At the Test Manager window in the Available Tests for Selected Test Category pane, select Remote Boot - LAN, and then click Add Selection.
  5. Click Start Tests.

The test system boots from a drive on the server system. The system displays the Remote Boot option.

  6. Click Remote Boot, and then click ENTER.

The test system runs the Remote Boot test and then boots from a drive on the server system (remote test host).

  7. Restart the test system from the system hard disk drive..
  8. View test log files.
  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


PXE Server Installation test

This test is the server portion of the Remote Boot -LAN test.

The PXE Server Installation test must be run on the server system before running the Remote Boot – LAN test on the test system.

Run time: 1 minute

Log file name: This test does not generate a log.

Operating system: Windows XP Professional

Test assertions: Chapter 12

Related links

Running the PXE Server Installation test


Running the PXE Server Installation test

To configure the PXE server system

  1. Click Start, then Programs, then Administrative Tools, then Computer management.
  2. In Computer management expand the Local Users and Groups item, and then click the Users folder.
  3. On the right side of Computer management you will see "Guest". Right click on "Guest" and choose Properties.
  4. In Guest Properties, under the General tab, deselect the Account is disabled option.
  5. Click Apply, then click OK
  6. Close all open windows.

To run the PXE Server Installation test

  1. Start Test Manager on the server system,
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select PXE Server Installation, and then click Add Selection.
  3. Click Start Tests.

Note: It is not necessary to view and copy test log files for this test. This test is used as the server component of the Remote Boot – LAN test.


Warning

Windows XP HCT 10.0 - Network

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.